Method: tasks.pushNotificationConfigs.list

Get a list of push notifications configured for a task.

HTTP request

GET https://ces.googleapis.com/tasks/{taskId}/pushNotificationConfigs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
taskId

string

Required. The parent task resource ID.

Query parameters

Parameters
tenant

string

Optional. Opaque routing identifier. Must match the tenant value from the selected AgentInterface in the Agent Card when that field is set.

pageSize

integer

The maximum number of configurations to return.

pageToken

string

A page token received from a previous ListTaskPushNotificationConfigsRequest call.

Request body

The request body must be empty.

Response body

Represents a successful response for the pushNotificationConfigs.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "configs": [
    {
      object (TaskPushNotificationConfig)
    }
  ],
  "nextPageToken": string
}
Fields
configs[]

object (TaskPushNotificationConfig)

The list of push notification configurations.

nextPageToken

string

A token to retrieve the next page of results, or empty if there are no more results in the list.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.